> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Carrier Configurations

> Retrieves a list of Carrier Configurations according to any specified filter criteria and sort options



## OpenAPI

````yaml /openapi/openapi_shipping_admin.json get /commerce/shipping/admin/carriers
openapi: 3.0.1
info:
  description: OpenAPI Spec for Kibo Shipping Admin Service
  title: Shipping Admin
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/shipping/admin/carriers:
    get:
      tags:
        - CarrierConfiguration
      summary: Get Carrier Configurations
      description: >-
        Retrieves a list of Carrier Configurations according to any specified
        filter criteria and sort options
      parameters:
        - description: >-
            Used to page results from a query. Indicates the zero-based offset
            in the complete result set where the returned entities begin. For
            example, with a PageSize of 25, to get the 51st through the 75th
            items, startIndex=3. The default value is 0. Optional.
          in: query
          name: startIndex
          schema:
            default: 0
            format: int32
            type: integer
        - description: >-
            Used to page results from a query. Indicates the maximum number of
            entities to return from a query. The default value is 20 and the
            maximum value is 200. Optional.
          in: query
          name: pageSize
          schema:
            default: 0
            format: int32
            type: integer
        - description: >-
            The element to sort the results by and the order in which the
            results appear. Either ascending (a-z) or descending (z-a) order.
            Optional.
          in: query
          name: sortBy
          schema:
            type: string
        - description: >-
            A set of filter expressions representing the search parameters for a
            query: eq=equals, ne=not equals, gt=greater than, lt = less than or
            equals, gt = greater than or equals, lt = less than or equals, sw =
            starts with, or cont = contains. Optional.
          in: query
          name: filter
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CarrierConfigurationCollection'
            text/json:
              schema:
                $ref: '#/components/schemas/CarrierConfigurationCollection'
            text/plain:
              schema:
                $ref: '#/components/schemas/CarrierConfigurationCollection'
          description: Success
components:
  schemas:
    CarrierConfigurationCollection:
      description: Collection of carrrier configurations.
      properties:
        items:
          items:
            $ref: '#/components/schemas/CarrierConfiguration'
          nullable: true
          type: array
        pageCount:
          format: int32
          type: integer
        pageSize:
          format: int32
          type: integer
        startIndex:
          format: int32
          type: integer
        totalCount:
          format: int32
          type: integer
      type: object
    CarrierConfiguration:
      properties:
        areCredentialsSet:
          description: "Indicates whether the credentials/passwords are set.\r\n<remarks>Credetials are updated only if this flag is set to true</remarks>"
          type: boolean
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        customTableRates:
          description: "A list of custom table rates for the 'Custom' carrier\r\n<remarks>only use this if Id == 'Custom'</remarks>"
          items:
            $ref: '#/components/schemas/CustomTableRate'
          nullable: true
          type: array
        enabled:
          description: Indicates that this CarrierConfiguration should be used at runtime
          type: boolean
        enabledForReturns:
          description: >-
            Indicates that this CarrierConfiguration should be the default for
            returns shipping
          type: boolean
        id:
          description: Carrier Id (usually a shortname of a carrier, e.g. FedEx)
          nullable: true
          type: string
        isDeliveryMethod:
          type: boolean
        settings:
          description: Carrier Configuration Settings
          items:
            $ref: '#/components/schemas/Setting'
          nullable: true
          type: array
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    CustomTableRate:
      description: ''
      properties:
        content:
          $ref: '#/components/schemas/CustomTableRateContent'
        deliveryDuration:
          description: "The number of days it takes to ship the item on custom carrier types. \r\nAllowed values : EXPRESS, 1_DAY, 2_DAY, 3_DAY"
          nullable: true
          type: string
        id:
          description: The Id of the CustomTableRate
          nullable: true
          type: string
        rateType:
          description: "The type of this rate\r\n<value>see ../commerce/catalog/admin/shipping/global/carriers/custom/serviceTypes/en-us</value>"
          nullable: true
          type: string
        value:
          description: The value of this custom table rate
          format: double
          type: number
      type: object
    Setting:
      properties:
        key:
          nullable: true
          type: string
        value:
          nullable: true
          type: string
      type: object
    CustomTableRateContent:
      description: ''
      properties:
        localeCode:
          nullable: true
          type: string
        name:
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````